### Method

# RB RhythmDB entry_lookup_by_id

#### Declaration [src]

    RhythmDBEntry*
    rhythmdb_entry_lookup_by_id (
      RhythmDB* db,
      gint id
    )

#### Description [src]

Looks up the entry with id `id`.

#### Parameters

`id`

  Type: `gint`

  Entry ID.

#### Return value

Type: `RhythmDBEntry`

The entry with id `id`, or NULL if no such entry exists.

The returned data is owned by the instance.